<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px' }"></ngx-loading>
<div class="container login-container">
    <div class="row">
        <div *ngIf="loginOrRegister==='login'" class="col-md-6 offset-md-3 login-form-1">
            <form #formLogin="ngForm" >

            <h3>Login</h3>
                <div class="form-group">
                    <input type="text" class="form-control"  [(ngModel)]="form.user" [ngModelOptions]="{standalone: true}" placeholder="Your Email *" required />
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" [(ngModel)]="form.password" [ngModelOptions]="{standalone: true}"  placeholder="Your Password *" required/>
                </div>
                <div class="form-group">
                    <input type="button" class="btnSubmit" (click)="login()" [disabled]="form.user.length === 0 || form.password.length === 0" value="Login" />
                </div>
                <div class="form-group">
                    <a href="javascript:void(0)" class="ForgetPwd" (click)="changeForm('register')" >No account? Sign up</a>
                </div>
                <h6 class="text-danger" *ngIf="form.errorLogin.length">{{form.errorLogin}}</h6>
            </form>
        </div>
        <div *ngIf="loginOrRegister==='register'" class="col-md-6 offset-md-3 login-form-2">
            <form #formRegister ="ngForm">
            <h3>Register</h3>
                <div class="form-group">
                    <input type="text" class="form-control"  [(ngModel)]="form.user" [ngModelOptions]="{standalone: true}" placeholder="Your Email *" required />
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" [(ngModel)]="form.password" [ngModelOptions]="{standalone: true}"  placeholder="Your Password *" required />
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" [(ngModel)]="form.repassword" [ngModelOptions]="{standalone: true}" placeholder="Your Password Again *" required />
                </div>
                <div class="form-group">
                    <input type="button" class="btnSubmit" (click)="register()"
                     [disabled]="form.user.length === 0 || form.password.length === 0 || form.repassword.length === 0" value="Register" />
                </div>
                <div class="form-group">
                    <a href="javascript:void(0)" class="ForgetPwd" value="Login" (click)="changeForm('login')">Are you a user? Login</a>
                </div>
                <h6 class="text-warning" *ngIf="form.errorLogin.length">{{form.errorRegister}}</h6>
            </form>
        </div>
    </div>
</div>
